rte_feature_arc_main(3)

NAME
rte_feature_arc_main

SYNOPSIS

#include <rte_graph_feature_arc_worker.h>

  Data Fields

uint32_t num_feature_arcs
uint32_t max_feature_arcs
int arc_mbuf_dyn_offset
uintptr_t feature_arcs []

Detailed Description

Feature arc main object

Holds all feature arcs created by application

Definition at line 213 of file rte_graph_feature_arc_worker.h.

Field Documentation

  uint32_t num_feature_arcs
number of feature arcs created by application

Definition at line 215 of file rte_graph_feature_arc_worker.h.

  uint32_t max_feature_arcs
max features arcs allowed

Definition at line 218 of file rte_graph_feature_arc_worker.h.

  int arc_mbuf_dyn_offset
arc_mbuf_dyn_offset for saving feature arc specific mbuf dynfield offset.

See rte_graph_feature_arc_mbuf_dynfields_get() for more details

Definition at line 225 of file rte_graph_feature_arc_worker.h.

  uintptr_t feature_arcs[]
Pointer to all feature arcs

Definition at line 228 of file rte_graph_feature_arc_worker.h.

Author

Generated automatically by Doxygen for DPDK from the source code.